
{% extends 'base.html' %}

{% block content_full %}
 <div class="page-header d-flex align-items-center ngo_npo_service_provider-page">
        <div class="pt-2 pb-2">
            <h1>NGO & NPO Service Provider</h1>
        </div>
 </div>
{% endblock %}

{% block content %}
    <div class="container mt-3">
        {% for service in services %}
        <div class="row post-content d-flex align-items-center">
            <div class="col-4 p-2">
                <div class="profile-item-image">
                    <img src="{{ service.logo.url }}" alt="">
                </div>
            </div>
            <div class="col-md-8 border-left pl-2">
                <div class="company-content">
                    <h6 class="post-title">{{ service.name }}</h6>
                    <p>{{ service.expect }}</p>
                    <a href="{% url 'service-provider' %}{{ service.slug }}" class="btn btn-primary mt-2">read more</a>
                </div>
            </div>
        </div>
        {% endfor %}
        <div class="pagination">
           <span class="step-links">
            {% if services.has_previous %}
               <a href="?page=1" class="page-link">&laquo; first</a>
               <a href="?page={{ services.previous_page_number }}">previous</a>
            {%endif%}
             <span class="current">
                Page {{ services.number }} of {{ services.paginator.num_pages }}.
            </span>
             {% if services.has_next %}
                      <a href="?page={{ services.next_page_number }}" class="page-link">next</a>
              <a href="?page={{ services.paginator.num_pages }}" class="page-link">last &raquo;</a>
             {% endif %}
           </span>
	    </div>
    </div>
{% endblock %}

{% block sidebar %}
    <div class="sidebar ml-2 mt-3">
        <h6 class="title">Recent companies</h6>
        <ul>
            {% for service in services|slice:"10:20" %}
                <li>{{ service.name}}</li>
            {% endfor %}
        </ul>

    </div>
{% endblock %}